
Redmine - Defect #6016

Missing project in issues list... very strange

2010-08-02 23:57 - Patrick Logé

Status: Closed Start date: 2010-08-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 0.9.6

Description

Hi,

On my local machine I get a 403 message on every issues.

I start digging and noticed that the project is not listed in the issues list

I did the following at the console.

Notice I get a nil value as the issue's project at the end.

But the issue has a project. Something seems going wrong with the association.

It works in production (Redmine 0.9.4.stable.3733).

root$ script/console

Loading development environment (Rails 2.3.5)

>> @i=Issue.find :first, :include=>[:project]

=> #<Issue id: 1, tracker_id: 2, project_id: 1, subject: "Analyse du besoin du client", 

description: "* Déterminer son besoin\r\n* Analyser les problèmes...", due_date: nil, 

category_id: 3, status_id: 5, assigned_to_id: 3, priority_id: 4, fixed_version_id: nil, 

author_id: 3, lock_version: 4, created_on: "2008-07-04 12:59:11", 

updated_on: "2008-09-07 14:08:54", start_date: "2008-07-01", 

done_ratio: 0, estimated_hours: nil, deliverable_id: nil, 

parent_id: nil, root_id: 1, lft: 1, rgt: 2>

>> @i.project

=> nil

>> 

 I'm working with Redmine 0.9.6.devel.3847

History

#1 - 2010-08-10 23:29 - Jean-Baptiste Barth

Please provide info requested in SubmittingBugs. Forums would probably be a better place for this discussion, as you don't have any precise element

to ensure it's actually a defect.

There's nothing wrong with the associations I think, but your database may have been corrupted. You should try "Project.find(1)" in your console. If it's

nil, then ask yourself if you deleted the project and how. If not, is the project archived ? Do you have the permissions ? etc.

#2 - 2019-08-11 02:06 - Go MAEDA

- Status changed from New to Closed

- Resolution set to No feedback

Please open a new issue with detailed information if you still experience the problem.
